Skip to main content
GET
/
v1
/
file-infos
/
{fileInfoId}
Get File Info
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/file-infos/{fileInfoId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "type": "FILE_INFO",
  "name": "<string>",
  "formatDetected": true,
  "format": "QUICKBOOKS_JOURNAL"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fileInfoId
string
required

Response

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

The type of file info entity.

Available options:
FILE_INFO,
TABULAR_FILE_INFO
name
string

The name of the underlying file or table.

formatDetected
boolean

When true a known grouped format was detected.

format
enum<string>

The grouped format that was detected.

Available options:
QUICKBOOKS_JOURNAL,
QUICKBOOKS_JOURNAL_2024,
QUICKBOOKS_TRANSACTION_DETAIL_BY_ACCOUNT,
SAGE50_LEDGER,
SAGE50_TRANSACTIONS,
CCH_ACCOUNT_LIST,
MS_DYNAMICS_JOURNAL,
SAGE50_UK